List annotations

Note: This endpoint is in preview and is subject to change. If you have any feedback, contact Datadog support.

GET https://api.ap1.datadoghq.com/api/v2/annotationhttps://api.ap2.datadoghq.com/api/v2/annotationhttps://api.datadoghq.eu/api/v2/annotationhttps://api.ddog-gov.com/api/v2/annotationhttps://api.us2.ddog-gov.com/api/v2/annotationhttps://api.uk1.datadoghq.com/api/v2/annotationhttps://api.datadoghq.com/api/v2/annotationhttps://api.us3.datadoghq.com/api/v2/annotationhttps://api.us5.datadoghq.com/api/v2/annotation

Información general

Returns a flat list of annotations matching the given page, time window, and optional widget filter.

Argumentos

Cadenas de consulta

Nombre

Tipo

Descripción

page_id [required]

string

ID of the page to list annotations for, prefixed with the page type and joined by a colon (for example, dashboard:abc-def-xyz or notebook:1234567890).

start_time [required]

integer

Start of the time window in milliseconds since the Unix epoch.

end_time [required]

integer

End of the time window in milliseconds since the Unix epoch.

widget_id

string

Optional widget ID to restrict results to annotations on a specific widget.

Respuesta

OK

Response containing a list of annotations.

Expand All

Campo

Tipo

Descripción

data [required]

[object]

List of annotation resources.

attributes [required]

object

Attributes of an annotation returned in a response.

author_id [required]

string

Identifier of the user who created the annotation.

color [required]

enum

Color used to render the annotation in the UI. Allowed enum values: gray,blue,purple,green,yellow,red

created_at [required]

int64

Creation time of the annotation in milliseconds since the Unix epoch.

description [required]

string

User-defined text attached to the annotation.

end_time [required]

int64

End time of the annotation in milliseconds since the Unix epoch. Null for pointInTime annotations.

modified_at [required]

int64

Last modification time of the annotation in milliseconds since the Unix epoch.

page_id [required]

string

ID of the page the annotation belongs to, prefixed with the page type and joined by a colon (for example, dashboard:abc-def-xyz or notebook:1234567890).

start_time [required]

int64

Start time of the annotation in milliseconds since the Unix epoch.

type [required]

enum

Kind of annotation. pointInTime annotations mark a single moment in time, while timeRegion annotations span a window of time and require an end_time. Allowed enum values: pointInTime,timeRegion

widget_ids

[string]

IDs of widgets the annotation is associated with. When empty or omitted, the annotation applies to the whole page.

id [required]

uuid

Unique identifier of the annotation.

type [required]

enum

Annotation resource type. Allowed enum values: annotation

{
  "data": [
    {
      "attributes": {
        "author_id": "00000000-0000-0000-0000-000000000000",
        "color": "blue",
        "created_at": 1704067200000,
        "description": "Deployed v2.3.1 to production.",
        "end_time": 1704070800000,
        "modified_at": 1704067200000,
        "page_id": "dashboard:abc-def-xyz",
        "start_time": 1704067200000,
        "type": "pointInTime",
        "widget_ids": [
          "1234567890"
        ]
      },
      "id": "00000000-0000-0000-0000-000000000000",
      "type": "annotation"
    }
  ]
}

Bad Request

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Forbidden

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Too many requests

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[string]

A list of errors.

{
  "errors": [
    "Bad Request"
  ]
}

Internal Server Error

API error response.

Expand All

Campo

Tipo

Descripción

errors [required]

[object]

A list of errors.

detail

string

A human-readable explanation specific to this occurrence of the error.

meta

object

Non-standard meta-information about the error

source

object

References to the source of the error.

header

string

A string indicating the name of a single request header which caused the error.

parameter

string

A string indicating which URI query parameter caused the error.

pointer

string

A JSON pointer to the value in the request document that caused the error.

status

string

Status code of the response.

title

string

Short human-readable summary of the error.

{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}

Ejemplo de código

                  # Required query arguments
export page_id="dashboard:abc-def-xyz"
export start_time="1.7040672e+12"
export end_time="1.7041536e+12"
# Curl command
curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/annotation?page_id=${page_id}&start_time=${start_time}&end_time=${end_time}" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
"""
List annotations returns "OK" response
"""

from os import environ
from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.annotations_api import AnnotationsApi

# there is a valid "annotation" in the system
ANNOTATION_DATA_ATTRIBUTES_PAGE_ID = environ["ANNOTATION_DATA_ATTRIBUTES_PAGE_ID"]

configuration = Configuration()
configuration.unstable_operations["list_annotations"] = True
with ApiClient(configuration) as api_client:
    api_instance = AnnotationsApi(api_client)
    response = api_instance.list_annotations(
        page_id=ANNOTATION_DATA_ATTRIBUTES_PAGE_ID,
        start_time=1704067200000,
        end_time=1704153600000,
    )

    print(response)

Instructions

First install the library and its dependencies and then save the example to example.py and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
# List annotations returns "OK" response

require "datadog_api_client"
DatadogAPIClient.configure do |config|
  config.unstable_operations["v2.list_annotations".to_sym] = true
end
api_instance = DatadogAPIClient::V2::AnnotationsAPI.new

# there is a valid "annotation" in the system
ANNOTATION_DATA_ATTRIBUTES_PAGE_ID = ENV["ANNOTATION_DATA_ATTRIBUTES_PAGE_ID"]
p api_instance.list_annotations(ANNOTATION_DATA_ATTRIBUTES_PAGE_ID, 1704067200000, 1704153600000)

Instructions

First install the library and its dependencies and then save the example to example.rb and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
// List annotations returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	// there is a valid "annotation" in the system
	AnnotationDataAttributesPageID := os.Getenv("ANNOTATION_DATA_ATTRIBUTES_PAGE_ID")

	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	configuration.SetUnstableOperationEnabled("v2.ListAnnotations", true)
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewAnnotationsApi(apiClient)
	resp, r, err := api.ListAnnotations(ctx, AnnotationDataAttributesPageID, 1704067200000, 1704153600000, *datadogV2.NewListAnnotationsOptionalParameters())

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `AnnotationsApi.ListAnnotations`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `AnnotationsApi.ListAnnotations`:\n%s\n", responseContent)
}

Instructions

First install the library and its dependencies and then save the example to main.go and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
// List annotations returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.AnnotationsApi;
import com.datadog.api.client.v2.model.AnnotationsResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    defaultClient.setUnstableOperationEnabled("v2.listAnnotations", true);
    AnnotationsApi apiInstance = new AnnotationsApi(defaultClient);

    // there is a valid "annotation" in the system
    String ANNOTATION_DATA_ATTRIBUTES_PAGE_ID = System.getenv("ANNOTATION_DATA_ATTRIBUTES_PAGE_ID");

    try {
      AnnotationsResponse result =
          apiInstance.listAnnotations(
              ANNOTATION_DATA_ATTRIBUTES_PAGE_ID, 1704067200000L, 1704153600000L);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling AnnotationsApi#listAnnotations");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}

Instructions

First install the library and its dependencies and then save the example to Example.java and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
// List annotations returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_annotations::AnnotationsAPI;
use datadog_api_client::datadogV2::api_annotations::ListAnnotationsOptionalParams;

#[tokio::main]
async fn main() {
    // there is a valid "annotation" in the system
    let annotation_data_attributes_page_id =
        std::env::var("ANNOTATION_DATA_ATTRIBUTES_PAGE_ID").unwrap();
    let mut configuration = datadog::Configuration::new();
    configuration.set_unstable_operation_enabled("v2.ListAnnotations", true);
    let api = AnnotationsAPI::with_config(configuration);
    let resp = api
        .list_annotations(
            annotation_data_attributes_page_id.clone(),
            1704067200000,
            1704153600000,
            ListAnnotationsOptionalParams::default(),
        )
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}

Instructions

First install the library and its dependencies and then save the example to src/main.rs and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
/**
 * List annotations returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
configuration.unstableOperations["v2.listAnnotations"] = true;
const apiInstance = new v2.AnnotationsApi(configuration);

// there is a valid "annotation" in the system
const ANNOTATION_DATA_ATTRIBUTES_PAGE_ID = process.env
  .ANNOTATION_DATA_ATTRIBUTES_PAGE_ID as string;

const params: v2.AnnotationsApiListAnnotationsRequest = {
  pageId: ANNOTATION_DATA_ATTRIBUTES_PAGE_ID,
  startTime: 1704067200000,
  endTime: 1704153600000,
};

apiInstance
  .listAnnotations(params)
  .then((data: v2.AnnotationsResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));

Instructions

First install the library and its dependencies and then save the example to example.ts and run following commands:

    
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"